Skip to content

Get Invoice

GET
/invoicing/
curl --request GET \
--url http://pay.caspeco.net/invoicing/ \
--header 'Content-Type: application/json' \
--header 'Date: Tue, 15 Nov 2014 08:12:31 GMT' \
--header 'Digest: SHA-256=7oaYBB1oQVPy1BvP2ndYtxdD5EWNynt9lxCHzOdXb1A=' \
--header 'Host: pay.caspeco.net' \
--header 'Location: http://pay.caspeco.net/v1/invoicing/' \
--data '{ "Id": "384f6560" }'

Gets a Invoice by the given id

Location
string
Example
http://pay.caspeco.net/v1/invoicing/
Host
string

E.g. pay.caspeco.net

Example
pay.caspeco.net
Date
string

E.g. Tue, 15 Nov 2014 08:12:31 GMT

Example
Tue, 15 Nov 2014 08:12:31 GMT
Digest
string

E.g. SHA-256=7oaYBB1oQVPy1BvP2ndYtxdD5EWNynt9lxCHzOdXb1A=

Example
SHA-256=7oaYBB1oQVPy1BvP2ndYtxdD5EWNynt9lxCHzOdXb1A=
Media typeapplication/json
object
Id
string
Example
{
"Id": "384f6560"
}

OK